Name:		filesystem
Version:	2.1.8
Release:	%mkrel 4
Summary:	The basic directory layout for a Linux system
License:	Public Domain
Group:		System/Base
URL:		http://www.mandrivalinux.com/
Requires:	setup
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The filesystem package is one of the basic packages that is installed on
a Mandriva Linux system.  Filesystem  contains the basic directory layout
for a Linux operating system, including the correct permissions for the
directories.

%install
mkdir %{buildroot}

cd %{buildroot}

mkdir -p mnt bin boot \
	etc/{profile.d,skel,security,ssl,sysconfig,default} \
	home initrd lib/modules %{_lib} mnt opt proc root sbin sys tmp \
	usr/{bin,etc,games,include,%{_lib}/{games,gcc-lib},lib/{games,gcc-lib},local/{bin,doc,etc,games,lib,%{_lib},sbin,src,share/{man/man{1,2,3,4,5,6,7,8,9,n},info},libexec,include,},sbin,share/{applications,dict,doc,fonts,info,games,man/man{1,2,3,4,5,6,7,8,9,n},doc,misc,empty,pixmaps},src} \
        var/{lib/{games,misc},local,lock/subsys,log,nis,preserve,run,spool/{mail,lpd},tmp,db,cache/man,opt,games,yp}

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

%clean
rm -rf %{buildroot}

%triggerpostun -p <lua> -- filesystem < 2.1.3-5mdk
function mkdir_missing(dir)
    if posix.stat(dir) == nil then 
        posix.mkdir(dir)
    end
end

mkdir_missing("/mnt/disk")
mkdir_missing("/mnt/floppy")
mkdir_missing("/mnt/cdrom")

%triggerun -- filesystem < 2.1.8
# only on upgrade we keep /usr/lib/X11 and /usr/X11R6/lib/X11 linked together
# on install, /usr/X11R6/lib/X11 will be a directory
if rm -f /usr/%{_lib}/X11 && mv /usr/X11R6/lib/X11 /usr/%{_lib} 2>/dev/null; then
    echo "/usr/lib/X11 is no more a symlink, keeping /usr/X11R6/lib/X11 linked to it for upgrade"
    ln -s ../../%{_lib}/X11 /usr/X11R6/lib/X11
fi

%files
%defattr(0755,root,root)
/bin
/boot
/etc
/home
/initrd
/lib
%if %{_lib} != lib
/%{_lib}
%endif
%dir /mnt
%dir /opt
/proc
/sys
%attr(750,root,root) /root
/sbin
%attr(1777,root,root) /tmp
/usr
%dir /var
/var/db
/var/lib
/var/local
%dir %attr(775,root,root) /var/lock
/var/lock/subsys
/var/cache
/var/log
/var/mail
/var/nis
/var/opt
/var/preserve
/var/run
%dir /var/spool
%attr(0755,root,daemon) %dir /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp


%changelog
* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/03/06 16:28:06 (49578)
- readd trigger, but using lua to avoid one dependencies

* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/03/06 15:58:53 (48062)
- don't provide /mnt/*

* Wed Aug 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/02/06 14:32:25 (43018)
- avoid a trigger to avoid sh requrirement, for the other, no solution currently :\

* Wed Aug 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/02/06 14:21:10 (43015)
Import filesystem

* Wed Jun 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-2mdv2007.0
- add /etc/default
- some spec cleanup

* Mon May 22 2006 Pixel <pixel@mandriva.com> 2.1.8-2mdk
- move things from /usr/X11R6/lib/X11 into /usr/lib/X11 since /usr/lib/X11 is no more a symlink
  (only on upgrade, later on, /usr/X11R6/lib/X11 and /usr/lib/X11 can have separate lives...)

* Fri May 19 2006 Pixel <pixel@mandriva.com> 2.1.8-1mdk
- drop links /usr/%%lib/X11 /usr/bin/X11
- drop dirs /usr/X11R6 /usr/X11R6/bin /usr/X11R6/include /usr/X11R6/lib /usr/X11R6/man
  (since /usr/X11R6 is deprecated)

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.7-2mdk
- fix typo in description (#20993)

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.7-1mdk
- Own /usr/share/fonts
- fix url

* Wed Jun 15 2005 Olivier Thauvin <nanardon@mandriva.org> 2.1.6-1mdk
- fix link /usr/%%lib/X11 (to /usr/lib/X11 on lib64, hope it's ok)
- spec cleanup

* Mon Jan 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.1.5-1mdk
- simplified spec file
- make it lib64 aware (so no more noarch)
- switched to direct build of the directories
- added /usr/share/dict /etc/sysconfig /etc/skel /etc/ssl

* Mon Nov 24 2003 Nicolas Planel <nplanel@mandrakesoft.com> 2.1.4-1mdk
- add /sys to support sysfs.

* Tue Jul 08 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.1.3-10mdk
- own /etc/security and /etc/profile.d too

* Tue Jul 08 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.1.3-9mdk
- own /usr/share/games

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1.3-8mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Jul 08 2002 Pixel <pixel@mandrakesoft.com> 2.1.3-7mdk
- also remove /mnt/disk
- ensure /mnt/{disk,cdrom,floppy} directories are created when upgrading (via trigger)

* Sun Jul 07 2002 Pixel <pixel@mandrakesoft.com> 2.1.3-6mdk
- remove /mnt/floppy and /mnt/cdrom since:
  - they are created by drakx
  - not everybody has a cdrom or a floppy drive
  - it doesn't handle dvd, multiple cdroms...
  - breaks upgrades when supermounted 

* Wed Jul 03 2002 Frederic Lepied <flepied@mandrakesoft.com> 2.1.3-5mdk
- added /etc/ssl

* Tue Dec 04 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-4mdk
- Make a till happy make /var/spool/lpd like he want.

* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-3mdk
- Rebuild.

* Fri Aug 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-2mdk
- Add /var/cache/man

* Mon Aug 06 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3.

* Thu Aug 02 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.0.8-2mdk
- add /usr/local/include, /usr/local/share for FHS

* Fri Jun 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.8-1mdk
- 2.0.8.

* Tue Mar 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.7-2mdk
- clean spec

* Thu Mar 08 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7 (add /usr/share/empty).

* Mon Oct 02 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-2mdk
- Move /usr/dict to /usr/share/dict (thnks: flepied).

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.6-1mdk
- merge in RH patches
- For FHS compliance, make the BM (Big Move) (hide children & women :-) ) :
 add /usr/share/{info,man,doc}, remove /usr/{doc,man,info}
- rename /etc/xinet.d to /etc/xinetd.d

* Fri Jul 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-3mdk
- Add /etc/xinetd.d/

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.5-2mdk
- Add /mnt/disk.
- Upgrade groups.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add /opt, /var/state, /var/cache for FHS lords.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- don't carry X11R6.1 as directory on sparc.
- /var/tmp/build root (#811)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- font directory didn't belong, which I previously misunderstood.  removed.

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- /usr/share/fonts/default added.

* Fri Oct 09 1998 Bill Nottingham <notting@redhat.com>
- put /mnt/cdrom back in

* Wed Oct 07 1998 Bill Nottingham <notting@redhat.com>
- Changed /root to 0750

* Wed Aug 05 1998 Erik Troan <ewt@redhat.com>
- added /var/db
- set attributes in the spec file; don't depend on the ones in the cpio
  archive
- use a tarball instead of a cpioball

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Wed Jul 09 1997 Erik Troan <ewt@redhat.com>
- added /

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Changed /proc to 555
- Removed /var/spool/mqueue (which is owned by sendmail)

